import grpc
from spidr4 import rpc, mpx4regs
import example_config as e
if __name__ == '__main__':

    with grpc.insecure_channel(e.spidr4host()) as channel:

        # Get the timepix4 service
        mpx4 = rpc.Medipix4Stub(channel)

        # Get the spidr4 control service
        ctrl = rpc.ControlInfoStub(channel)

        # Reset all attached pixel chips
        ctrl.ResetPixelChips(rpc.EMPTY)

        bot_id = mpx4.SimpleRead(rpc.SimpleReadRequest(idx=e.spidr4chip(), addr=mpx4regs.CHIP_ID_BOT)).val
        top_id = mpx4.SimpleRead(rpc.SimpleReadRequest(idx=e.spidr4chip(), addr=mpx4regs.CHIP_ID_TOP)).val
        print(f"Bottom ID={bot_id:08x}, Top ID={bot_id:08x}")
